Subject: bug#7025: Viper's `viper-deflocalvar' macro doesn't indent properly

From: Chong Yidong <[email-masked]>
Date: Sun, 05 Aug 2012 16:53:47 +0800

Vegard Øye <[email-masked]> writes:

> The `viper-deflocalvar' macro in viper-init.el is used for defining
> buffer-local variables. However, it doesn't indent properly:
>
>     (viper-deflocalvar foo nil
>                        "Docstring")
>
> The following patch adds a `declare' statement to fix the indentation

Thanks.  I've committed your patch to trunk, except for the font-lock
stuff (we don't generally provide font lock support for such
package-specific compatibility macros).